DROP DATABASE IF EXISTS `pharmacie` ;
CREATE DATABASE `pharmacie` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `pharmacie`;

CREATE TABLE IF NOT EXISTS `maladie` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `medicament` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(100) NOT NULL,
  `dose` int(11) NOT NULL,
  `posologie` text NOT NULL,
  `stock` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `symptome` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(100) NOT NULL,
  `id_medicament` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `symptomes` (
  `id_maladie` int(11) NOT NULL,
  `id_symptome` int(11) NOT NULL,
  PRIMARY KEY (`id_maladie`, `id_symptome`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `patient` (
  `num_secu` varchar(20) NOT NULL,
  `nom` varchar(100) NOT NULL,
  `prenom` varchar(100) NOT NULL,
  PRIMARY KEY (`num_secu`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `malades` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_patient` varchar(20) NOT NULL,
  `id_maladie` int(11) NOT NULL,
  `date` date NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `allergies` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_patient` varchar(20) NOT NULL,
  `id_medicament` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

ALTER TABLE `symptome`
  ADD CONSTRAINT `symptome_ibfk_1` FOREIGN KEY (`id_medicament`) REFERENCES `medicament` (`id`);

ALTER TABLE `symptomes`
  ADD CONSTRAINT `symptomes_ibfk_1` FOREIGN KEY (`id_maladie`) REFERENCES `maladie` (`id`), 
  ADD CONSTRAINT `symptomes_ibfk_2` FOREIGN KEY (`id_symptome`) REFERENCES `symptome` (`id`);

ALTER TABLE `malades`
  ADD CONSTRAINT `malades_ibfk_1` FOREIGN KEY (`id_patient`) REFERENCES `patient` (`num_secu`), 
  ADD CONSTRAINT `malades_ibfk_2` FOREIGN KEY (`id_maladie`) REFERENCES `maladie` (`id`);

ALTER TABLE `allergies`
  ADD CONSTRAINT `allergies_ibfk_1` FOREIGN KEY (`id_patient`) REFERENCES `patient` (`num_secu`), 
  ADD CONSTRAINT `allergies_ibfk_2` FOREIGN KEY (`id_medicament`) REFERENCES `medicament` (`id`);


